## liquidsoap 2.0.2

=== Makefile ===
SUBDIRS= src examples doc scripts tests libs
DISTFILES = CHANGES CHANGES.md COPYING README README.md \
	bootstrap configure.ac configure config.h.in config.sub config.guess \
	Makefile Makefile.defs.in Makefile.rules install-sh \
        liquidsoap.opam
DISTDIRS = m4

top_srcdir=.
include $(top_srcdir)/Makefile.rules

distclean: pre-distclean
	rm -f Makefile.defs
pre-distclean: clean
	rm -rf config.log config.status config.h autom4te.cache \
	       src/configure.ml scripts/liquidsoap.logrotate \
	       liquidsoap.config $(DISTDIR) $(DISTDIR).tar.bz2

test:
	@$(MAKE) -C src/test test
	@$(MAKE) -C tests test

# Build liquidsoap as it will be used for building the doc
doc-local: all

.PHONY: finish-configure

finish-configure:
ifneq ($(CUSTOM_PATH),yes)
	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
	@echo let liq_libs_dir = \"$(liq_libs_dir)/libs\" >> src/configure.ml
	@echo let bin_dir = \"$(liq_libs_dir)/bin\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
else
	@echo let rundir = get_dir \"run\" >> src/configure.ml
	@echo let logdir = get_dir \"logs\" >> src/configure.ml
	@echo let liq_libs_dir = get_dir \"libs\" >> src/configure.ml
	@echo let bin_dir = get_dir \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
endif
	@echo let restart = ref false >> src/configure.ml
	@echo let display_types = ref false >> src/configure.ml
	@echo let exe_ext = \"$(EXEEXT)\" >> src/configure.ml
	@echo "let vendor = \
                  Printf.sprintf \"Liquidsoap/%s (%s; OCaml %s)\" \
                     version Sys.os_type Sys.ocaml_version" >> src/configure.ml
	@echo "let () = Printexc.record_backtrace true" >> src/configure.ml
	@echo "let path = \
          let s = try Sys.getenv \"PATH\" with Not_found -> \"\" in \
          bin_dir :: (Str.split (Str.regexp_string \":\") s)" >> src/configure.ml
	@echo Creating scripts/liquidsoap.logrotate
	@cat scripts/liquidsoap.logrotate.in | \
	  sed -e s:@localstatedir@:$(localstatedir): > scripts/liquidsoap.logrotate

.PHONY: doc-install api-doc-install
doc-install:
	$(MAKE) -C doc doc-install
	$(MAKE) -C examples doc-install
api-doc-install:
	$(V)echo Installing developer documentation...
	$(V)$(INSTALL) -d $(datadir)/doc/$(DISTDIR)/api
	$(V)for doc in $(wildcard autodoc/liquidsoap/*.html autodoc/liquidsoap/*.css) ;\
	do $(INSTALL_DATA) $$doc $(datadir)/doc/$(DISTDIR)/api ; \
	done

# user and group are defined in Makefile.defs, written by configure.

install-local: doc-install
ifeq ($(INSTALL_DAEMON),yes)
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 ${localstatedir}/log/liquidsoap
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 ${localstatedir}/run/liquidsoap
endif
	$(INSTALL_DIRECTORY) $(bindir)
	$(INSTALL_DIRECTORY) $(liq_libs_dir)/bin
	$(INSTALL_DIRECTORY) $(liq_libs_dir)/libs
	$(INSTALL_PROGRAM) scripts/extract-replaygain $(liq_libs_dir)/bin
	find libs | grep '\.liq$$' | while read l; do \
	  $(INSTALL_DATA) $$l $(liq_libs_dir)/libs ; \
	done
	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
	$(INSTALL_DATA) examples/radio.liq ${sysconfdir}/liquidsoap/radio.liq.example
	$(INSTALL_DIRECTORY) ${sysconfdir}/logrotate.d
	$(INSTALL_DATA) scripts/liquidsoap.logrotate ${sysconfdir}/logrotate.d/liquidsoap
	-$(INSTALL_DIRECTORY) ${bashcompdir}
	-$(INSTALL_DATA) scripts/bash-completion ${bashcompdir}/liquidsoap
	$(INSTALL_DIRECTORY) ${emacsdir}
	$(INSTALL_DATA) scripts/liquidsoap-mode.el ${emacsdir}/

=== doc/Makefile ===
.PHONY: md doc upload all-subdirs

SUBDIRS = content
DISTFILES = liquidsoap.1.md.in liquidsoap.1.md Makefile template.html snippet.html conf.py index.rst language.dtd liquidsoap.xml
DISTDIRS = orig
LIQUIDSOAP = ../src/liquidsoap
PANDOC = pandoc --syntax-definition=liquidsoap.xml --highlight=pygments

MD=$(wildcard content/*.md) content/protocols.md content/reference.md content/reference-extras.md content/settings.md
HTML=$(addprefix html/,$(notdir $(MD:.md=.html)))
PDF=$(addprefix pdf/,$(notdir $(MD:.md=.pdf)))

doc: md man html

md: $(MD)

html: $(HTML)

pdf: $(PDF)

man: liquidsoap.1

liquidsoap.1: liquidsoap.1.md
	@echo "Generating $(@)..."
	@pandoc -s -t man $< -o $@

html/%.html: content/%.md template.html language.dtd
	@echo Converting $(<) to $(@)...
	@test -d html || (mkdir -p html/scripts ; cp -RfL orig/* html)
	@$(PANDOC) $< --metadata pagetitle="`basename '$<'`" --template=template.html -o $@

pdf/%.pdf: content/%.md language.dtd
	@mkdir -p pdf
	@echo Converting $(<) to $(@)...
	@$(PANDOC) $< -o $@

content/protocols.md: $(LIQUIDSOAP)
	PAGER=none $(LIQUIDSOAP) --no-stdlib ../libs/stdlib.liq --list-protocols-md > $@

content/reference.md: $(LIQUIDSOAP)
	PAGER=none $(LIQUIDSOAP) --no-stdlib ../libs/stdlib.liq --list-functions-md > $@

content/reference-extras.md: $(LIQUIDSOAP)
	PAGER=none $(LIQUIDSOAP) --no-stdlib ../libs/stdlib.liq --list-extra-functions-md > $@

content/settings.md: $(LIQUIDSOAP)
	PAGER=none $(LIQUIDSOAP) --no-stdlib ../libs/stdlib.liq --list-settings > $@

VERSION="`$(LIQUIDSOAP) --version | head -n 1`"

doc-install:
	$(INSTALL)  -d $(datadir)/doc/liquidsoap/html
	if [ -f html/index.html ] ; then \
	  cp -RfL html/* $(datadir)/doc/liquidsoap/html ; \
        fi
	if [ -f liquidsoap.1 ] ; then \
	  $(INSTALL) -d $(mandir)/man1 ; \
	  $(INSTALL_DATA) liquidsoap.1 $(mandir)/man1 ; \
	fi

clean-local:
	rm -rf html pdf content/reference.md content/reference-extras.md content/protocols.md content/settings.md

$(LIQUIDSOAP):
	@echo "Liquidsoap does not seem to be built. You have to build it before."
	@echo "Go to the toplevel and type 'make'"
	@exit 1

language.dtd:
	curl https://raw.githubusercontent.com/jgm/highlighting-kate/master/xml/language.dtd -o $@

top_srcdir=..
include $(top_srcdir)/Makefile.rules

############ SPHINX DOC #########################

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

sphinx-html:
	@$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
# %: Makefile md
#	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== scripts/Makefile ===

DISTFILES = $(wildcard *.in) Makefile ask-liquidsoap.rb ask-liquidsoap.pl \
	    bash-completion liquidsoap-mode.el extract-replaygain

top_srcdir = ..
include $(top_srcdir)/Makefile.rules

=== src/Makefile ===
SUBDIRS=tools \
	decoder playlists encoder protocols stream lang \
	ogg_formats converters operators sources conversions outputs io \
	visualization synth harbor lang_encoders encoder_formats

DISTFILES = $(wildcard *.mli) Makefile $(wildcard *.ml) META.in

ocaml_progs= liquidsoap

top_srcdir := $(if $(top_srcdir), $(top_srcdir), ..)
include $(top_srcdir)/Makefile.defs

liquidsoap_c_files = tools/unix_c.c \
  $(if $(W_OSS),io/oss_io_c.c)

ogg_demuxer = \
  $(if $(W_SPEEX),ogg_formats/liq_speex_decoder.ml) \
  $(if $(W_VORBIS),ogg_formats/liq_vorbis_decoder.ml) \
  $(if $(W_OPUS),ogg_formats/liq_opus_decoder.ml) \
  $(if $(W_THEORA),ogg_formats/liq_theora_decoder.ml) \
  $(if $(W_FLAC_OGG),ogg_formats/liq_flac_ogg_decoder.ml)

ogg_muxer = \
  $(if $(W_OGG),ogg_formats/ogg_muxer.ml encoder/ogg_encoder.ml) \
  $(if $(W_SPEEX),ogg_formats/speex_encoder.ml) \
  $(if $(W_VORBIS),ogg_formats/vorbis_encoder.ml) \
  $(if $(W_OPUS),ogg_formats/opus_encoder.ml) \
  $(if $(W_THEORA),ogg_formats/theora_encoder.ml) \
  $(if $(W_FLAC_OGG),ogg_formats/ogg_flac_encoder.ml)

audio_converters = \
	converters/audio/native_audio_converter.ml \
	$(if $(W_SAMPLERATE),converters/audio/libsamplerate_converter.ml) \
	$(if $(W_FFMPEG),converters/audio/ffmpeg_audio_converter.ml)

video_converters = \
	converters/video/native_video_converter.ml \
	$(if $(W_FFMPEG),converters/video/ffmpeg_video_converter.ml)

decoders = \
	decoder/wav_aiff_decoder.ml decoder/midi_decoder.ml \
	decoder/image_decoder.ml decoder/image/ppm_decoder.ml \
	decoder/external_decoder.ml decoder/raw_audio_decoder.ml \
	$(if $(W_FFMPEG),decoder/ffmpeg_decoder_common.ml decoder/ffmpeg_internal_decoder.ml decoder/ffmpeg_raw_decoder.ml decoder/ffmpeg_copy_decoder.ml decoder/ffmpeg_decoder.ml decoder/image/ffmpeg_image_decoder.ml) \
	$(if $(W_FLAC),decoder/liq_flac_decoder.ml) \
	$(if $(W_FAAD),decoder/aac_decoder.ml) \
	$(if $(W_OGG),decoder/liq_ogg_decoder.ml) \
	$(if $(W_MAD),decoder/mad_decoder.ml) \
	$(if $(W_VORBIS),decoder/vorbisduration.ml) \
	$(if $(W_FLAC),decoder/flacduration.ml) \
	$(if $(W_FLAC_OGG),decoder/ogg_flac_duration.ml) \
	$(if $(W_TAGLIB),decoder/taglib_plug.ml) \
        decoder/id3v2_plug.ml \
	$(if $(W_CAMLIMAGES),decoder/image/camlimages_decoder.ml) \
	$(if $(W_SDL_IMAGE),decoder/image/sdlimage_decoder.ml) \
	$(if $(W_GSTREAMER),decoder/gstreamer_decoder.ml)

playlists = \
	playlists/playlist_basic.ml \
	$(if $(W_XMLPLAYLIST),playlists/playlist_xml.ml)

protocols = \
	protocols/annotate.ml \
	protocols/mpd.ml

sources = \
	sources/synthesized.ml sources/noise.ml sources/blank.ml sources/debug_sources.ml \
	sources/audio_gen.ml sources/request_source.ml sources/latest_metadata.ml \
	sources/request_simple.ml sources/generated.ml \
	harbor/harbor_base.ml harbor/harbor.ml sources/harbor_input.ml \
	$(if $(W_SSL),harbor/harbor_ssl.ml sources/harbor_input_ssl.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),harbor/harbor_secure_transport.ml sources/harbor_input_secure_transport.ml) \
        tools/external_input.ml sources/external_input_audio.ml sources/external_input_video.ml \
	tools/sandbox.ml \
	$(if $(W_BJACK),sources/bjack_in.ml) \
	$(if $(W_ALSA),sources/alsa_in.ml)

operators = \
	operators/insert_metadata.ml operators/map_metadata.ml \
	operators/on_end.ml operators/on_frame.ml operators/delay.ml \
	operators/max_duration.ml operators/sequence.ml operators/add.ml \
	operators/switch.ml operators/cross.ml \
	operators/pitch.ml operators/pipe.ml operators/filter.ml \
	operators/fir_filter.ml operators/iir_filter.ml operators/filter_rc.ml \
	operators/biquad_filter.ml operators/cuepoint.ml \
	operators/map_op.ml operators/flanger.ml operators/comb.ml \
	operators/compress.ml operators/compress_old.ml operators/compress_exp.ml operators/clip.ml \
	operators/amplify.ml operators/normalize.ml operators/echo.ml operators/gate.ml \
	operators/append.ml operators/pan.ml operators/ms_stereo.ml \
	operators/dyn_op.ml operators/video_effects.ml operators/video_fade.ml \
	operators/noblank.ml operators/compand.ml operators/on_offset.ml \
	operators/prepend.ml operators/lufs.ml operators/available.ml \
	operators/midi_routing.ml operators/sleeper.ml \
	operators/time_warp.ml operators/resample.ml \
	operators/chord.ml operators/video_text.ml operators/window_op.ml \
	operators/rms_smooth.ml operators/delay_line.ml \
	operators/video_text_native.ml operators/accelerate.ml \
	operators/still_frame.ml operators/dtmf.ml \
	$(if $(W_SOUNDTOUCH),operators/soundtouch_op.ml) \
	$(if $(W_SOUNDTOUCH),operators/st_bpm.ml) \
	$(if $(W_LADSPA),operators/ladspa_op.ml) \
	$(if $(W_LILV),operators/lilv_op.ml) \
	$(if $(W_FREI0R),operators/frei0r_op.ml) \
	$(if $(W_GD),operators/video_text_gd.ml) \
	$(if $(W_SDL_TTF),operators/video_text_sdl.ml) \
	$(if $(W_GSTREAMER),operators/video_text_gstreamer.ml)

conversions = \
	conversions/conversion.ml conversions/audio_to_stereo.ml conversions/drop.ml \
	conversions/swap.ml conversions/mean.ml conversions/mux.ml

encoders = \
	encoder/wav_encoder.ml \
	encoder/avi_encoder.ml \
	encoder/lame_encoder.ml \
	encoder/fdkaac_encoder.ml \
	encoder/external_encoder.ml \
	$(if $(W_LAME_DYN),encoder/lame_encoder_dynlink.ml) \
	$(if $(W_FDKAAC_DYN),encoder/fdkaac_encoder_dynlink.ml) \
	$(if $(W_SHINE),encoder/shine_encoder.ml) \
	$(if $(W_LAME),encoder/lame_encoder_builtin.ml) \
	$(if $(W_FLAC),encoder/flac_encoder.ml) \
        $(if $(W_FFMPEG),encoder/ffmpeg_encoder_common.ml encoder/ffmpeg_internal_encoder.ml encoder/ffmpeg_copy_encoder.ml encoder/ffmpeg_encoder.ml) \
	$(if $(W_FDKAAC),encoder/fdkaac_encoder_builtin.ml) \
	$(if $(W_TAGLIB),encoder/taglib_id3v2.ml) \
	$(if $(W_GSTREAMER),encoder/gstreamer_encoder.ml)

lang_encoders = \
  lang/lang_encoders.ml \
  lang_encoders/lang_avi.ml lang_encoders/lang_external_encoder.ml lang_encoders/lang_fdkaac.ml \
  lang_encoders/lang_ffmpeg.ml $(if $(W_FFMPEG),lang_encoders/lang_ffmpeg_opt.ml) lang_encoders/lang_flac.ml lang_encoders/lang_gstreamer.ml \
  lang_encoders/lang_mp3.ml lang_encoders/lang_opus.ml lang_encoders/lang_shine.ml \
  lang_encoders/lang_speex.ml lang_encoders/lang_theora.ml lang_encoders/lang_vorbis.ml \
  lang_encoders/lang_wav.ml

encoder_formats = \
  encoder_formats.ml \
  encoder_formats/meta_format.ml \
  encoder_formats/avi_format.ml \
  encoder_formats/external_encoder_format.ml \
  encoder_formats/fdkaac_format.ml \
  encoder_formats/flac_format.ml \
  encoder_formats/ffmpeg_format.ml \
  encoder_formats/gstreamer_format.ml \
  encoder_formats/mp3_format.ml \
  encoder_formats/opus_format.ml \
  encoder_formats/shine_format.ml \
  encoder_formats/speex_format.ml \
  encoder_formats/theora_format.ml \
  encoder_formats/vorbis_format.ml \
  encoder_formats/ogg_format.ml \
  encoder_formats/wav_format.ml

outputs = outputs/output.ml \
	outputs/pipe_output.ml outputs/hls_output.ml \
	outputs/harbor_output.ml \
	$(if $(W_SSL),outputs/harbor_output_ssl.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),outputs/harbor_output_secure_transport.ml) \
	$(if $(W_AO),outputs/ao_out.ml) \
	$(if $(W_CRY),outputs/icecast2.ml) \
	$(if $(W_GRAPHICS),outputs/graphics_out.ml) \
	$(if $(W_BJACK),outputs/bjack_out.ml) \
	$(if $(W_SDL),outputs/sdl_out.ml) \
	$(if $(W_ALSA),outputs/alsa_out.ml)

io = io/udp_io.ml \
	$(if $(W_SRT),io/srt_io.ml) \
	$(if $(W_OSS),io/oss_io.ml) \
	$(if $(W_PULSEAUDIO),io/pulseaudio_io.ml) \
	$(if $(W_PORTAUDIO),io/portaudio_io.ml) \
	$(if $(W_ALSA),io/alsa_io.ml) \
	$(if $(W_GSTREAMER),io/gstreamer_io.ml) \
	$(if $(W_FFMPEG),io/ffmpeg_filter_io.ml) \
	$(if $(W_FFMPEG),io/ffmpeg_io.ml)

tools = tools/extralib.ml tools/lifecycle.ml \
	tools/stringView.ml tools/strings.ml tools/runtime_error.ml \
        tools/utils.ml tools/JSON.ml tools/doc.ml tools/plug.ml \
	tools/rqueue.ml tools/unifier.ml \
	$(if $(W_FFMPEG),tools/liqavdevice.ml) \
	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
	$(if $(W_FDKAAC_DYN),tools/fdkaac_dynlink.ml) \
	tools/wav_aiff.ml tools/tutils.ml \
	tools/file_watcher.ml tools/file_watcher_mtime.ml \
	$(if $(W_DYNLINK),tools/dyntools.ml) \
	configure.ml tools/console.ml tools/process_handler.ml \
	tools/http.ml \
	$(if $(W_CURL),tools/liqcurl.ml) \
	$(if $(W_SSL),tools/https.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),tools/https_secure_transport.ml) \
	tools/pool.ml tools/sha1.ml tools/websocket.ml tools/id3v2.ml \
	$(if $(W_INOTIFY),tools/file_watcher_inotify.ml) \
	$(if $(W_PROMETHEUS),tools/liq_prometheus.ml)

stream = stream/frame_settings.ml stream/frame_content.ml \
         stream/frame.ml stream/aFrame.ml stream/vFrame.ml stream/mFrame.ml \
         stream/generator.ml \
	 $(if $(W_FFMPEG), stream/ffmpeg_content_base.ml stream/ffmpeg_copy_content.ml) \
         $(if $(W_FFMPEG), stream/ffmpeg_raw_content.ml) \
         $(if $(W_GSTREAMER),tools/gstreamer_utils.ml)

visualization = \
	visualization/midimeter.ml \
	visualization/video_volume.ml \
	$(if $(W_GRAPHICS),visualization/vis_volume.ml)

synth = synth/keyboard.ml synth/synth_op.ml \
	$(if $(W_DSSI),synth/dssi_op.ml) \
	$(if $(W_SDL),synth/keyboard_sdl.ml)

builtins = lang/lang_builtins.ml \
           lang/builtins_ref.ml \
           lang/builtins_bool.ml lang/builtins_list.ml \
           lang/builtins_string.ml lang/builtins_json.ml \
           lang/builtins_request.ml lang/builtins_error.ml \
           lang/builtins_null.ml lang/builtins_settings.ml \
           lang/builtins_time.ml lang/builtins_callbacks.ml \
           lang/builtins_server.ml lang/builtins_math.ml \
	   lang/builtins_files.ml lang/builtins_resolvers.ml \
           lang/builtins_thread.ml lang/builtins_process.ml \
           lang/builtins_source.ml lang/builtins_getter.ml \
           lang/builtins_profiler.ml lang/builtins_eval.ml \
	   $(if $(W_CURL),lang/builtins_http.ml) \
           lang/builtins_harbor.ml \
           $(if $(W_SSL),lang/builtins_harbor_ssl.ml) \
           $(if $(W_OSX_SECURE_TRANSPORT),lang/builtins_harbor_secure_transport.ml) \
           $(if $(W_LO),lang/builtins_lo.ml) \
           $(if $(W_MAGIC),lang/builtins_magic.ml) \
           $(if $(W_CRY),lang/builtins_cry.ml) \
           $(if $(W_LASTFM),lang/builtins_lastfm.ml) \
           $(if $(W_PROMETHEUS),lang/builtins_prometheus.ml) \
           lang/builtins_ffmpeg_base.ml \
           $(if $(W_FFMPEG),lang/builtins_ffmpeg_encoder.ml lang/builtins_ffmpeg_decoder.ml lang/builtins_ffmpeg_filters.ml)

liquidsoap_sources= \
	tools/log.ml $(tools) converters/audio_converter.ml $(stream) \
	$(if $(W_FFMPEG),tools/ffmpeg_utils.ml tools/ffmpeg_avfilter_utils.ml) \
        converters/video_converter.ml \
	decoder/decoder_utils.ml decoder/decoder.ml \
        tools/liq_time.ml $(if $(W_POSIX_TIME2),tools/liq_posix_time.ml) \
        request.ml tools/server.ml \
        source.ml clock.ml playlist_parser.ml \
	$(encoder_formats) encoder.ml \
	tools/server_builtins.ml \
	$(if $(W_SDL),tools/sdl_utils.ml) \
	$(if $(W_LASTFM),tools/liqfm.ml) \
	$(if $(W_ALSA), alsa_settings.ml)

liquidsoap_sources += \
	lang/type.ml lang/typing.ml lang/profiler.ml lang/term.ml \
	lang/environment.ml lang/typechecking.ml lang/evaluation.ml \
	$(lang_encoders) lang/parser_helper.ml lang/parser.ml lang/lexer.ml \
	lang/preprocessor.ml lang/error.ml lang/documentation.ml \
	lang/lang.ml lang/runtime.ml lang/modules.ml \
        tools/child_support.ml \
        tools/start_stop.ml tools/ioRing.ml \
	tools/icecast_utils.ml tools/avi.ml \
	$(video_converters) $(audio_converters) $(protocols) \
	$(sources) $(outputs) tools/producer_consumer.ml \
	$(conversions) $(operators) \
	$(encoders) $(decoders) $(ogg_demuxer) $(ogg_muxer) \
	$(playlists) $(visualization) $(synth) $(io) \
	shebang.ml $(builtins) main.ml \
	$(if $(W_WINSVC),runner_service.ml,runner.ml)

include $(top_srcdir)/Makefile.rules

configure.ml:
	@echo
	@echo " ERROR Missing src/configure.ml, Please run ./configure first!"
	@if [ -f ../configure-with-options ] ; then \
	  echo "       Note that you can source configure-with-options" ; \

=== tests/Makefile ===
.PHONY: test

DISTFILES = Makefile $(wildcard *.sh) $(wildcard *.liq) $(wildcard *.pl)
SUBDIRS = fixme media language regression

top_srcdir = ..

test:
	@$(MAKE) -C language $@
	@$(MAKE) -C streams $@
	@$(MAKE) -C media $@
	@$(MAKE) -C regression $@
	@echo
	@echo
	@$(MAKE) -C performance $@

include $(top_srcdir)/Makefile.rules

=== src/lang/Makefile ===
DISTFILES = Makefile parser.mly $(wildcard *.ml) $(wildcard *.mli)
top_srcdir=../..
include $(top_srcdir)/Makefile.rules

menhir:
	@rm -f parser.conflicts
	menhir --explain parser.mly
	@cat parser.conflicts

.PHONY: menhir

=== src/stream/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) Makefile

top_srcdir= ../..
include $(top_srcdir)/Makefile.rules

rgb_c.o: rgb_c.c
	$(CC) $(CFLAGS) -c -O3 $<

=== src/tools/Makefile ===
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) $(wildcard *.in) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== tests/fixme/Makefile ===
DISTFILES = Makefile $(wildcard *.liq)

top_srcdir = ../..
include $(top_srcdir)/Makefile.rules

=== tests/language/Makefile ===
.PHONY: test type_errors

LIQ = $(sort $(wildcard *.liq))
TESTS = $(filter-out test, $(basename $(LIQ)))
DISTFILES = Makefile $(LIQ)
top_srcdir = $(shell realpath ../..)

test: $(TESTS) type_errors

%: %.liq
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" language/$<

type_errors: type_errors.pl
	@../run_test.sh /usr/bin/perl language/$<

include $(top_srcdir)/Makefile.rules

=== tests/media/Makefile ===
.PHONY: test_encoder test_stereo test_mono test_stream_audio test_stream_video test_ffmpeg_filter test_ffmpeg_audio_decoder test_ffmpeg_video_decoder test_ffmpeg_copy_decoder test_ffmpeg_copy_and_encode_decoder test_ffmpeg_raw_decoder test_ffmpeg_raw_and_encode_decoder test_ffmpeg_raw_and_copy_decoder test_ffmpeg_copy_concat

.NOTPARALLEL: test_ffmpeg_audio_decoder test_ffmpeg_video_decoder test_ffmpeg_copy_decoder test_ffmpeg_copy_and_encode_decoder test_ffmpeg_raw_decoder test_ffmpeg_raw_and_encode_decoder test_ffmpeg_raw_and_copy_decoder

DISTFILES = Makefile $(wildcard *.sh) $(wildcard *.liq *.liq.in *.json)
top_srcdir = $(shell realpath ../..)

test: test_encoder test_stereo test_mono test_ffmpeg_audio_decoder test_ffmpeg_video_decoder test_ffmpeg_filter test_ffmpeg_copy_decoder test_ffmpeg_copy_and_encode_decoder test_ffmpeg_raw_decoder test_ffmpeg_raw_and_encode_decoder test_ffmpeg_raw_and_copy_decoder test_ffmpeg_raw_hls test_ffmpeg_inline_encode_decode_audio test_ffmpeg_inline_encode_decode_video test_ffmpeg_inline_encode_decode test_ffmpeg_distributed_hls test_ffmpeg_copy_concat # test_stream_audio test_stream_video

AUDIO_TEST_FORMATS = \
  @flac(stereo).flac \
  @flac(mono).flac \
  @wav(stereo).wav \
  @wav(mono).wav \
  @mp3(mono).mp3 \
  @mp3(stereo).mp3 \
  @ogg(@vorbis(mono)).ogg \
  @ogg(@vorbis(stereo)).ogg \
  @ogg(@flac(mono)).ogg \
  @ogg(@flac(stereo)).ogg \
  @ogg(@opus(mono)).ogg \
  @ogg(@opus(stereo)).ogg \
  @ffmpeg(format=\"mp4\",@audio(codec=\"aac\"),@videoDOTnone).mp4

# TODO: fix speex or officially deprecate it?
#  @ogg(@speex(mono)).ogg \
#  @ogg(@speex(stereo)).ogg

AUDIO_VIDEO_TEST_FORMATS = \
  @ffmpeg(format=\"mp4\",@audio(codec=\"aac\",channels=1),@video(codec=\"libx264\")).mp4 \
  @ffmpeg(format=\"mp4\",@audio(codec=\"aac\",channels=2),@video(codec=\"libx264\")).mp4

VIDEO_ONLY_TEST_FORMATS = \
  @ffmpeg(format=\"mp4\",@audioDOTnone,@video(codec=\"libx264\")).mp4

VIDEO_TEST_FORMATS = $(AUDIO_VIDEO_TEST_FORMATS) $(AUDIO_ONLY_TEST_FORMATS) $(VIDEO_ONLY_TEST_FORMATS)

ENCODED_AUDIO_FILES=$(AUDIO_TEST_FORMATS:%=files/audio/%)

ENCODED_AUDIO_VIDEO_FILES=$(AUDIO_VIDEO_TEST_FORMATS:%=files/video/%)

ENCODED_VIDEO_FILES=$(VIDEO_TEST_FORMATS:%=files/video/%)

ENCODED_FILES=$(ENCODED_AUDIO_FILES) $(ENCODED_VIDEO_FILES)

$(ENCODED_FILES): ENCODER = $(subst @,%,$(word 1,$(subst ., ,$*)))

define generate_audio
	@$(eval PREFIX := $(shell /bin/bash -c "echo $$RANDOM"))
        @./mk_encoder_test.sh "$1" sine $(PREFIX)
        @../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $2" media/files/$(PREFIX)/test_encoder.liq "$1 encoder" || exit
endef

define generate_video
	@$(eval PREFIX := $(shell /bin/bash -c "echo $$RANDOM"))
        @./mk_encoder_test.sh "$1" noise $(PREFIX)
        @../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $2" media/files/$(PREFIX)/test_encoder.liq "$1 encoder" || exit
endef

test_encoder: files/audio files/video $(ENCODED_FILES)

files/audio:
	@mkdir -p $@

files/video:
	@mkdir -p $@

files/audio/%: $(top_srcdir)/src/liquidsoap
	$(call generate_audio,$(ENCODER),$@)

files/video/%: $(top_srcdir)/src/liquidsoap
	$(call generate_video,$(ENCODER),$@)

test_mono: $(ENCODED_AUDIO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_FILES:%="%"); do \
	  if echo $$i | grep -v 'ffmpeg' > /dev/null 2>&1; then \
	    ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_mono.liq "Mono decoding test for $$i" || exit; \
	  fi \
	done

test_stereo: $(ENCODED_AUDIO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_FILES:%="%"); do \
	  if echo $$i | grep -v 'ffmpeg' > /dev/null 2>&1; then \
	    ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_stereo.liq "Stereo decoding test for $$i" || exit; \
	  fi \
	done

test_ffmpeg_filter: $(ENCODED_AUDIO_VIDEO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $<" media/test_ffmpeg_filter.liq "FFmpeg filter test for $$i" || exit; \
	done

test_ffmpeg_add_text: $(ENCODED_AUDIO_VIDEO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $<" media/test_ffmpeg_add_text.liq "FFmpeg add text filter test for $$i" || exit; \
	done

test_ffmpeg_audio_decoder: $(ENCODED_AUDIO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_FILES:%="%"); do \
	  ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_ffmpeg_audio_decoder.liq "FFmpeg audio decoder test for $$i" || exit; \
	done

test_ffmpeg_video_decoder: $(ENCODED_VIDEO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_ffmpeg_video_decoder.liq "FFmpeg video decoder test for $$i" || exit; \
	done

test_ffmpeg_copy_decoder: $(ENCODED_AUDIO_VIDEO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_ffmpeg_copy_decoder.liq "FFmpeg copy decoder test for $$i" || exit; \
	done

test_ffmpeg_copy_and_encode_decoder: $(ENCODED_AUDIO_VIDEO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_ffmpeg_copy_and_encode_decoder.liq "FFmpeg copy+encode decoder test for $$i" || exit; \
	done

test_ffmpeg_raw_decoder: $(ENCODED_AUDIO_VIDEO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_ffmpeg_raw_decoder.liq "FFmpeg raw decoder test for $$i" || exit; \
	done

test_ffmpeg_raw_and_encode_decoder: $(ENCODED_AUDIO_VIDEO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_ffmpeg_raw_and_encode_decoder.liq "FFmpeg raw+encode decoder test for $$i" || exit; \
	done

test_ffmpeg_raw_and_copy_decoder: $(ENCODED_AUDIO_VIDEO_FILES) $(top_srcdir)/src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq - -- $$i" media/test_ffmpeg_raw_and_copy_decoder.liq "FFmpeg raw+copy decoder test for $$i" || exit; \
	done

test_ffmpeg_inline_encode_decode:
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" media/test_ffmpeg_inline_encode_decode.liq

test_ffmpeg_inline_encode_decode_audio:
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" media/test_ffmpeg_inline_encode_decode_audio.liq

test_ffmpeg_inline_encode_decode_video:
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" media/test_ffmpeg_inline_encode_decode_video.liq

test_ffmpeg_distributed_hls: 
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" media/test_ffmpeg_distributed_hls.liq

test_ffmpeg_raw_hls:
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" media/test_ffmpeg_raw_hls.liq

test_taglib: files/audio/@mp3(mono).mp3
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -"  media/test_taglib.liq

files/ffmpeg_copy_concat/first-concat.mp4:
	mkdir -p files/ffmpeg_copy_concat
	ffmpeg -f lavfi -i testsrc=duration=20:size=1280x720:rate=30 -vf 'setpts=N+1235' $@ 

files/ffmpeg_copy_concat/second-concat.mp4:
	mkdir -p files/ffmpeg_copy_concat
	ffmpeg -f lavfi -i testsrc=duration=30:size=1280x720:rate=30 -vf 'setpts=N+756' $@

files/ffmpeg_copy_concat/third-concat.mp4:
	mkdir -p files/ffmpeg_copy_concat
	ffmpeg -f lavfi -i testsrc=duration=10:size=1280x720:rate=30 -vf 'setpts=N+245' $@

test_ffmpeg_copy_concat: files/ffmpeg_copy_concat/first-concat.mp4 files/ffmpeg_copy_concat/second-concat.mp4 files/ffmpeg_copy_concat/third-concat.mp4
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" media/test_ffmpeg_copy_concat.liq

include $(top_srcdir)/Makefile.rules

clean:
	rm -rf files/

=== tests/regression/Makefile ===
.PHONY: test

LIQ = $(sort $(wildcard *.liq))
TESTS = $(filter-out test, $(basename $(LIQ)))
DISTFILES = Makefile $(LIQ)
top_srcdir = $(shell realpath ../..)

test: $(TESTS)

%: %.liq
	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" regression/$<

include $(top_srcdir)/Makefile.rules

=== debian/changelog ===
liquidsoap (2.0.2-1build2) jammy; urgency=medium

  * No-change rebuild (LP: #1961024)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 12:31:24 -0500

liquidsoap (2.0.2-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 15:17:51 +0100

liquidsoap (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2 (Closes: #1002677)
  * Refresh d/patches
  * Update d/control with new build-dep versions
  * Update d/liquidsoap.links for new version
  * Update autopkgtests for new language features

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 11 Jan 2022 11:00:10 +0200

=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: chrpath,
               debhelper (>= 11),
               debhelper-compat (=13),
               dh-elpa,
               dh-ocaml (>= 1.0.1),
               festival,
               fonts-liberation,
               pandoc,
               libalsa-ocaml-dev (>= 0.2.1) [linux-any],
               libao-ocaml-dev (>= 0.2.0),
               libbjack-ocaml-dev (>= 0.1.3),
               libcamlimages-ocaml-dev (>= 4.0.1-6),
               libcamomile-ocaml-dev (>= 1.0.0),
               libcry-ocaml-dev (>= 0.6.0),
               libdtools-ocaml-dev (>= 0.4.1),
               libduppy-ocaml-dev (>= 0.8.0),
               libfaad-ocaml-dev (>= 0.5.0),
               libffmpeg-ocaml-dev (>= 1.0.0),
               libflac-ocaml-dev (>= 0.3.0),
               libfrei0r-ocaml-dev (>= 0.1.0),
               libgavl-ocaml-dev (>= 0.1.4),
               libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
               libssl-ocaml-dev (>= 0.5.2),
               libgstreamer-ocaml-dev (>= 0.3.0),
               libinotify-ocaml-dev (>= 1.0) [linux-any],
               libladspa-ocaml-dev (>= 0.1.4),
               liblastfm-ocaml-dev (>= 0.3.0),
               liblo-ocaml-dev (>= 0.2.0),
               libmad-ocaml-dev (>= 0.1.4),
               libmagic-ocaml-dev (>= 0.6),
               libmenhir-ocaml-dev,
               libmm-ocaml-dev (>= 0.7.0),
               libmp3lame-ocaml-dev (>= 0.3.2),
               libogg-ocaml-dev (>= 0.7.0),
               libopus-ocaml-dev (>= 0.2.0),
               libpcre-ocaml-dev,
               libportaudio-ocaml-dev (>= 0.2.0),
               libpulse-ocaml-dev (>= 0.1.2),
               libsamplerate-ocaml-dev (>= 0.1.1),
               libsdl-ocaml-dev,
               libsedlex-ocaml-dev (>= 2.0),
               libshine-ocaml-dev (>= 0.2.0),
               libsoundtouch-ocaml-dev (>= 0.1.7),
               libspeex-ocaml-dev (>= 0.4.0),
               libtaglib-ocaml-dev (>= 0.3.0),
               libtheora-ocaml-dev (>= 0.4.0),
               libvoaacenc-ocaml-dev,
               libvorbis-ocaml-dev (>= 0.8.0),
               libxml-dom-perl,
               libxmlplaylist-ocaml-dev (>= 0.1.3),
               libyojson-ocaml-dev,
               menhir,
               ocaml-findlib,
               ocaml (>= 4.08),
               sox
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
Homepage: https://www.liquidsoap.info/

Package: liquidsoap
Architecture: any
Depends: adduser,
         curl,
         libcamomile-ocaml-data (>= 1.0.0),
         ocaml-base,
         sox,
         ${misc:Depends},
         ${ocaml:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: logrotate, vorbis-tools, vorbisgain
Suggests: festival, icecast2, mplayer, youtube-dl
Provides: ${ocaml:Provides}
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-mode
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Recommends: emacs (>= 46.0)
Suggests: liquidsoap
Enhances: emacs, emacs24, emacs25
Section: editors
Description: Emacs mode for editing Liquidsoap code
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides an (X)Emacs mode which makes it easier to edit
 Liquidsoap source code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
DEFAULT_FONT := /usr/share/fonts/truetype/liberation/LiberationMono-Regular.ttf

DEB_CONFIGURE_EXTRA_FLAGS := --with-default-font=$(DEFAULT_FONT)

export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig

%:
	dh $@ --with elpa,ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- --with-default-font=$(DEFAULT_FONT)

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf
	$(MAKE) all doc

override_dh_auto_test:
	/bin/true

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	chrpath -d src/liquidsoap
	$(MAKE) install DESTDIR=$(DESTDIR) \
               prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
			   bashcompdir=$(DESTDIR)/usr/share/bash-completion/completions \
               INSTALL_DAEMON=no OCAMLFIND_LDCONF=ignore
	dh_install

override_dh_auto_clean:
	dh_autoreconf_clean
	rm -rf autodoc aclocal.m4 src/META
	dh_clean

=== debian/watch ===
version=4
opts=compression=bz2 \
  https://github.com/savonet/liquidsoap/releases .*/liquidsoap.([\d.]+).tar.bz2

## liquidsoap 2.0.6

=== tests/media/Makefile ===
--- 
+++ 
@@ -163,6 +163,9 @@
 test_ffmpeg_copy_concat: files/ffmpeg_copy_concat/first-concat.mp4 files/ffmpeg_copy_concat/second-concat.mp4 files/ffmpeg_copy_concat/third-concat.mp4
 	@../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -" media/test_ffmpeg_copy_concat.liq
 
+test_ffmpeg_complex_filter: files/audio/@mp3(stereo).mp3 files/audio/@mp3(mono).mp3
+	 @../run_test.sh "$(top_srcdir)/src/liquidsoap --no-stdlib $(top_srcdir)/libs/stdlib.liq -"  media/test_ffmpeg_complex_filter.liq
+
 include $(top_srcdir)/Makefile.rules
 
 clean:

=== debian/changelog ===
liquidsoap (2.0.6-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:57:07 +0000

liquidsoap (2.0.6-1) unstable; urgency=medium

  * Update d/watch to not track pre-releases
  * New upstream version 2.0.6

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 12 Jul 2022 20:28:17 +0200

liquidsoap (2.0.5-1) unstable; urgency=medium

  * Bump standards-version to 4.6.1 (no change)
  * New upstream version 2.0.5

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 27 May 2022 17:18:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: liquidsoap
 Section: sound
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: chrpath,
                debhelper (>= 11),
@@ -58,7 +59,7 @@
                ocaml-findlib,
                ocaml (>= 4.08),
                sox
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
 Homepage: https://www.liquidsoap.info/
